Skip to content

cluster / acme ​

15 operations.

GET /cluster/acme ​

ts
proxmox.cluster.acme.$get()

ACMEAccount index.

Returns an array of object.

GET /cluster/acme/account ​

ts
proxmox.cluster.acme.account.$get()

ACMEAccount index.

Returns an array of object.

POST /cluster/acme/account ​

ts
proxmox.cluster.acme.account.$post()

Register a new ACME account with CA.

Returns string.

ParameterTypeRequiredNotes
contactstringyesContact email addresses. — format email-list
directorystringURL of ACME CA directory endpoint. — default "https://acme-v02.api.letsencrypt.org/directory"
eab-hmac-keystringHMAC key for External Account Binding.
eab-kidstringKey Identifier for External Account Binding.
namestringACME account config file name. — format pve-configid, default "default"
tos_urlstringURL of CA TermsOfService - setting this indicates agreement.

GET /cluster/acme/account/{name} ​

ts
proxmox.cluster.acme.account.$(name).$get()

Return existing ACME account information.

Returns object.

ParameterTypeRequiredNotes
namestringACME account config file name. — format pve-configid, default "default"

PUT /cluster/acme/account/{name} ​

ts
proxmox.cluster.acme.account.$(name).$put()

Update existing ACME account information with CA. Note: not specifying any new account information triggers a refresh.

Returns string.

ParameterTypeRequiredNotes
contactstringContact email addresses. — format email-list
namestringACME account config file name. — format pve-configid, default "default"

DELETE /cluster/acme/account/{name} ​

ts
proxmox.cluster.acme.account.$(name).$delete()

Deactivate existing ACME account at CA.

Returns string.

ParameterTypeRequiredNotes
namestringACME account config file name. — format pve-configid, default "default"

GET /cluster/acme/challenge-schema ​

ts
proxmox.cluster.acme["challenge-schema"].$get()

Get schema of ACME challenge types.

Returns an array of object.

GET /cluster/acme/directories ​

ts
proxmox.cluster.acme.directories.$get()

Get named known ACME directory endpoints.

Returns an array of object.

GET /cluster/acme/meta ​

ts
proxmox.cluster.acme.meta.$get()

Retrieve ACME Directory Meta Information

Returns object.

ParameterTypeRequiredNotes
directorystringURL of ACME CA directory endpoint. — default "https://acme-v02.api.letsencrypt.org/directory"

GET /cluster/acme/plugins ​

ts
proxmox.cluster.acme.plugins.$get()

ACME plugin index.

Returns an array of object.

ParameterTypeRequiredNotes
typedns | standaloneOnly list ACME plugins of a specific type

POST /cluster/acme/plugins ​

ts
proxmox.cluster.acme.plugins.$post()

Add ACME plugin configuration.

Returns nothing.

ParameterTypeRequiredNotes
api1984hosting | acmedns | acmeproxy | active24 | ad | ali | alviy | anx | … (152 more)API plugin name
datastringDNS plugin data. (base64 encoded)
disablebooleanFlag to disable the config.
idstringyesACME Plugin ID name — format pve-configid
nodesstringList of cluster node names. — format pve-node-list
typedns | standaloneyesACME challenge type.
validation-delaynumberExtra delay in seconds to wait before requesting validation. Allows to cope with a long TTL of DNS records. — min 0, max 172800, default 30

GET /cluster/acme/plugins/{id} ​

ts
proxmox.cluster.acme.plugins.$(id).$get()

Get ACME plugin configuration.

Returns object.

ParameterTypeRequiredNotes
idstringyesUnique identifier for ACME plugin instance. — format pve-configid

PUT /cluster/acme/plugins/{id} ​

ts
proxmox.cluster.acme.plugins.$(id).$put()

Update ACME plugin configuration.

Returns nothing.

ParameterTypeRequiredNotes
api1984hosting | acmedns | acmeproxy | active24 | ad | ali | alviy | anx | … (152 more)API plugin name
datastringDNS plugin data. (base64 encoded)
deletestringA list of settings you want to delete. — format pve-configid-list, ≤ 4096 chars
digeststringPrevent changes if current configuration file has a different digest. This can be used to prevent concurrent modifications. — ≤ 64 chars
disablebooleanFlag to disable the config.
idstringyesACME Plugin ID name — format pve-configid
nodesstringList of cluster node names. — format pve-node-list
validation-delaynumberExtra delay in seconds to wait before requesting validation. Allows to cope with a long TTL of DNS records. — min 0, max 172800, default 30

DELETE /cluster/acme/plugins/{id} ​

ts
proxmox.cluster.acme.plugins.$(id).$delete()

Delete ACME plugin configuration.

Returns nothing.

ParameterTypeRequiredNotes
idstringyesUnique identifier for ACME plugin instance. — format pve-configid

GET /cluster/acme/tos ​

ts
proxmox.cluster.acme.tos.$get()

Retrieve ACME TermsOfService URL from CA. Deprecated, please use /cluster/acme/meta.

Returns string.

ParameterTypeRequiredNotes
directorystringURL of ACME CA directory endpoint. — default "https://acme-v02.api.letsencrypt.org/directory"